%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%global pkgname Xfce-Theme-Manager
Name:		xfce-theme-manager
Version:	0.3.6
Release:	3%{?dist}
Summary:	A theme manager for Xfce

License:	GPLv3	
URL:		http://xfce-look.org/content/show.php?content=149647
Source0:	http://keithhedger.hostingsiteforfree.com/zips/xfcethememanager/%{pkgname}-%{version}.tar.gz

BuildRequires:	pkgconfig(gdk-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	desktop-file-utils
BuildRequires:	cairo-devel
BuildRequires:	autoconf

%description
A theme manager allowing easy configuration of themes,
window borders, controls, icons and cursors for Xfce

%prep
%setup -qn %{pkgname}-%{version}


%build
%configure
make %{?_smp_mflags} xfcethememanager_CFLAGS="%{optflags} -export-dynamic" xfcethememanager_CXXFLAGS="%{optflags} -export-dynamic" -Wunused -Wunused-function -Wno-unused-result


%install
make install DESTDIR=%{buildroot} docfilesdir="%{_pkgdocdir}"
desktop-file-install	\
--delete-original	\
--dir=%{buildroot}%{_datadir}/applications	\
--remove-key=Categories	\
--add-category=GTK	\
--add-category=Settings	\
--add-category=DesktopSettings	\
--add-category=X-XFCE-SettingsDialog	\
--add-category=X-XFCE-PersonalSettings	\
--add-category=X-XFCE	\
--set-name="Xfce Theme Manager"	\
%{buildroot}/%{_datadir}/applications/%{pkgname}.desktop


%files
%doc  ChangeLog* Xfce-Theme-Manager/resources/docs/gpl-3.0.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{pkgname}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/Xfce-Theme-Manager/scripts
%{_mandir}/man1/%{name}.1.*
%{_mandir}/*/man1/%{name}.1.*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 01 2015 Eduardo Echeverria  <echevemaster@gmail.com> - 0.3.6-1
- Updated to the version 0.3.6

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.5-4
- Rebuilt for GCC 5 C++11 ABI change

* Sat Feb 28 2015 Kevin Fenzi <kevin@scrye.com> 0.3.5-3
- Rebuild for Xfce 4.12

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jul 06 2014 Eduardo Echeverria  <echevemaster@gmail.com> - 0.3.5-1
- Updated to the version 0.3.5

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jul 22 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.3.3-1
- Updated to the version 0.3.3
- switch to unversioned documentation directory

* Sat Feb 02 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.4-1
- Update to version 0.2.4

* Sat Jan 05 2013 Eduardo Echeverria  <echevemaster@gmail.com> - 0.2.3-1
- Update to version 0.2.3

* Sat Dec 08 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.20-1
- Update to version 0.1.20

* Fri Nov 30 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.19-3
- Remove mirrored Source0 and added original url

* Mon Nov 26 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.19-2
- Added comments on how to download the source
- Created man page for the application
- Patch the build process to use the normal rpm opt flags
- Added parameter -g to g++ in patch file to prepare the application to use GDB

* Sun Nov 18 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.19-1
- Update to version 0.1.19 with license included

* Mon Nov 12 2012 Eduardo Echeverria  <echevemaster@gmail.com> - 0.1.18-1
- Initial packaging

